Bug 451278 - Tablespoon unit only works if pluralised
Summary: Tablespoon unit only works if pluralised
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kunitconversion
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: John Layt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-08 12:18 UTC by Jonathan Riddell
Modified: 2022-05-24 18:29 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.95


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Riddell 2022-03-08 12:18:33 UTC
SUMMARY

Singular tablespoons do not work in KRunner

STEPS TO REPRODUCE
1. 1 tablespoon in teaspoons
This gives no result
2. 1 tablespoons in teaspoons
This gives a result but is incorrect grammar

EXPECTED RESULT
It should repect the singular tablespoon

 Using KDE neon git unstable build 8 March 2022
Comment 1 Bug Janitor Service 2022-05-24 09:25:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kunitconversion/-/merge_requests/23
Comment 2 Ahmad Samir 2022-05-24 18:29:07 UTC
Git commit 49c5b2ab7b3418d63b29035132a4870006e748e0 by Ahmad Samir.
Committed on 24/05/2022 at 09:24.
Pushed by ngraham into branch 'master'.

Match singular form in user input for tea/tablespoon
FIXED-IN: 5.95

M  +16   -16   src/volume.cpp

https://invent.kde.org/frameworks/kunitconversion/commit/49c5b2ab7b3418d63b29035132a4870006e748e0